http://bugs.gentoo.org/268502

--- configure.ac
+++ configure.ac
@@ -77,13 +77,14 @@
 
 GNUTLS_MAN_STATUS="This copy of WMBiff was not compiled with GNUTLS."
 if test "$gnutls" = "ok"; then
- AM_PATH_LIBGNUTLS(1.0.4, [LIBS="$LIBS $LIBGNUTLS_LIBS"
-                          CFLAGS="$CFLAGS $LIBGNUTLS_CFLAGS"
-                         CPPFLAGS="$CPPFLAGS $LIBGNUTLS_CFLAGS"
-                         GNUTLS_COMMON_O="gnutls-common.o"
-                         GNUTLS_MAN_STATUS="This copy of WMBiff was compiled with GNUTLS."
-                         AC_CHECK_HEADERS(gnutls/gnutls.h) ],
-                         [ echo GNUTLS can be found at ftp://gnutls.hellug.gr/pub/gnutls ])
+ PKG_CHECK_MODULES([LIBGNUTLS], [gnutls >= 1.0.4],
+  [LIBS="$LIBS $LIBGNUTLS_LIBS"
+  CFLAGS="$CFLAGS $LIBGNUTLS_CFLAGS"
+  CPPFLAGS="$CPPFLAGS $LIBGNUTLS_CFLAGS"
+  GNUTLS_COMMON_O="gnutls-common.o"
+  GNUTLS_MAN_STATUS="This copy of WMBiff was compiled with GNUTLS."
+  AC_CHECK_HEADERS(gnutls/gnutls.h) ],
+  [ echo GNUTLS can be found at ftp://gnutls.hellug.gr/pub/gnutls ])
 else
  AC_MSG_RESULT(GNUTLS support requires libz.a and libgdbm.a, so will be disabled)
 fi
